Bug 738391 (CVE-2011-3481) - CVE-2011-3481 cyrus-imapd: NULL pointer dereference via crafted References header in email
Summary: CVE-2011-3481 cyrus-imapd: NULL pointer dereference via crafted References he...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3481
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20051217,repor...
Depends On: 741698 741699 741700 741701 741702 833885 844263
Blocks: 738399
TreeView+ depends on / blocked
 
Reported: 2011-09-14 17:18 UTC by Vincent Danen
Modified: 2019-06-08 18:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-01 17:06:23 UTC


Attachments (Terms of Use)
fix backported for RHEL5 version of cyrus-imapd (1020 bytes, patch)
2011-09-21 15:23 UTC, Michal Hlavinka
no flags Details | Diff
updated patch (1.82 KB, patch)
2011-09-23 13:37 UTC, Michal Hlavinka
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1508 normal SHIPPED_LIVE Moderate: cyrus-imapd security update 2011-12-01 21:44:13 UTC

Description Vincent Danen 2011-09-14 17:18:25 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-3481 to
the following vulnerability:

Name: CVE-2011-3481
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3481
Assigned: 20110914
Reference: http://bugzilla.cyrusimap.org/show_bug.cgi?id=2772
Reference: http://bugzilla.cyrusimap.org/show_bug.cgi?id=3463
Reference: http://git.cyrusimap.org/cyrus-imapd/commit/?id=6e776956a1a9dfa58eacdd0ddd52644009eac9e5

The index_get_ids function in index.c in imapd in Cyrus IMAP Server
before 2.4.11, when server-side threading is enabled, allows remote
attackers to cause a denial of service (NULL pointer dereference and
daemon crash) via a crafted References header in an e-mail message.

Comment 3 Michal Hlavinka 2011-09-21 15:23:53 UTC
Created attachment 524231 [details]
fix backported for RHEL5 version of cyrus-imapd

> Reproduced on RHEL4 too, fix verified on RHEL6. Upstream patch
> will need to be re-worked for cyrus versions in RHEL5 and older.
> Michal, can you look?

attached

Comment 4 Tomas Hoger 2011-09-23 11:16:20 UTC
Is it safe to modify headers buffer passed to the index_get_ids?  My concern was that upstream patch was only touching copy.

Comment 5 Michal Hlavinka 2011-09-23 13:37:11 UTC
Created attachment 524618 [details]
updated patch

> Is it safe to modify headers buffer passed to the index_get_ids?  My concern
> was that upstream patch was only touching copy.

As far as I know, it should be safe in 2.3.7, but using a copy is safer especially considering possible future fixes. I've updated patch, so it uses a copy too as can be found in rhel6 version of cyrus-imapd

Comment 7 errata-xmlrpc 2011-12-01 16:46:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1508 https://rhn.redhat.com/errata/RHSA-2011-1508.html


Note You need to log in before you can comment on or make changes to this bug.